/* 🔷 NUI X 信息 =============================================================================================================== */
/*
    · NUCLEUS USER INTERFACE X : 2026
    · 作者：Nucleo-Galattico
    · 版本:R 10.0 for GalaDreams（2026.2）
    · 防缓存冲突代号：99999

    · 注意！该版本只适用于GalaDreams主板块服务，不包含其他服务（如 银河Wiki ）的类
    · 不包含所有控件，请勿用于自行开发
*/

/* 🔷 字体声明 =============================================================================================================== */
/* Lexend 字体家族名：ZSFT-hq */@import url("data:text/css,%40font-face%7Bfont-family%3A%22ZSFT-hq%22%3Bsrc%3Aurl(%22https%3A%2F%2Ffontsapi.zeoseven.com%2Fhq%2Fmain.woff2%22)%20format(%22woff2%22)%3Bfont-style%3Anormal%3Bfont-weight%3A100%20900%3Bfont-display%3Aswap%3B%7D");
/* 械黑VF 字体家族名：Frex Sans GB VF */@import url("https://fontsapi.zeoseven.com/670/main/result.css");
/* IBM Plex Sans JP 字体家族名：IBM Plex Sans JP */@import url("https://fontsapi.zeoseven.com/400/main/result.css");


/* 🔷 HTML控件 =============================================================================================================== */
body{
    font-family: "ZSFT-hq" , "Frex Sans GB VF";
    font-weight: normal;
    overflow-y: scroll;

    h1{
        font-size: calc(28px + max(0px , (100vw - 1280px) * 0.06));
    }
    h2{
        font-size: calc(20px + max(0px , (100vw - 1280px) * 0.04));
    }
    h3{
        font-size: calc(18px + max(0px , (100vw - 1280px) * 0.02));
    }
    p{
        font-weight: 500;
        font-size: calc(15px + max(0px , (100vw - 1280px) * 0.02));
    }
    span{
        font-weight: 500;
        font-size: calc(15px + max(0px , (100vw - 1280px) * 0.02));
    }
    li{
        font-weight: 500;
        font-size: calc(15px + max(0px , (100vw - 1280px) * 0.02));
    }
}

a{text-decoration: none;}

/* 🔷 Google Material Symbols =============================================================================================================== */
@font-face {
    font-family: 'Material Symbols Outlined';
    font-style: normal;
    src: url(/Fonts/kJF1BvYX7BgnkSrUwT8OhrdQw4oELdPIeeII9v6oDMzByHX9rA6RzaxHMPdY43zj-jCxv3fzvRNU22ZXGJpEpjC_1v-p_4MrImHCIJIZrDCvHOej.woff2) format('woff');
}

.material-symbols-outlined {
    font-family: 'Material Symbols Outlined';
    font-weight: normal;
    font-style: normal;
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
}
/* 🔷 自定义控件 =============================================================================================================== */

/* 🔷== 字体特殊处理 ==🔷 */
.talk_center{
    text-align: center;
    font-size: calc(18px + max(0px , (100vw - 1280px) * 0.04));
}
.talk_center::before{content: '' !important; }
jp{
    font-family: "ZSFT-hq" , "IBM Plex Sans JP" , "Frex Sans GB VF";
    font-weight: 600;
}
extra{
    font-size: calc(12px + max(0px , (100vw - 1280px) * 0.02));
    font-style: italic;
}
black{
    color: #000;
    background-color: #000;

    transition: color 0.2s;
}
black:hover{
    color: #FFF;
}

/* 🔷== 按钮 ==🔷 */
.button{
    display:block;
    padding: 8px 4px 8px 4px;
    margin-bottom: 10px;

    color: #000;
    font-size: calc(13px + max(0px , (100vw - 1280px) * 0.02));
    font-weight: 500;
    text-align: center;

    border: 1.4px solid black;
    background-color: #FFF;

    transition: background-color 0.2s , color 0.2s; 
    user-select: none;
    cursor: pointer;
}
.button:hover{
    color: #FFF;

    font-style: italic;

    background-color: #000;
}

.neobutton{
    display:block;
    position: relative;
    padding: 8px 4px 8px 4px;
    margin-bottom: 10px;

    color: #000;
    font-size: calc(13px + max(0px , (100vw - 1280px) * 0.02));
    font-weight: 500;
    text-align: center;

    border: 1.4px solid black;
    background-color: #FFF;

    transition: color 0.4s; 
    user-select: none;
    cursor: pointer;
}
.neobutton:hover{color: #FFF;font-style: italic;}

.neobutton_text{
    position: relative;
    z-index: 2;
}

.neobutton::after{
    position: absolute;
    content: '';
    top: 0;left: 0;
    width: 100%;height: 100%;

    transform: scaleX(0);
    transform-origin: left;

    background-color: #000;

    transition: transform 0.4s;
    z-index: 1;
}
.neobutton:hover::after{
    transform: scaleX(1);
    transform-origin: left;
}

/* 🔷== 目录卡片 ==🔷 */

.nuc_messagecard{
    position: relative;
    
    width: auto;
    height: calc(120px + max(0px , (100vw - 1366px) * 0.092));

    border: 1px solid #000;
    background-color: rgb(255, 255, 255);

    transition: color 0.2s , background-color 0.2s;
    user-select: none;

    cursor: pointer;
}

.nuc_messagecard:hover{
    background-color: #000;

    .nuc_messagecard_firstletter{color: #000;background-color: #FFF;}
    .nuc_messagecard_title{color: #FFF;}
    .nuc_messagecard_content{color:#FFF;}
}


.nuc_messagecard_firstletter{
    position: absolute;

    margin-top: 15px;
    margin-left: 20px;

    line-height: 30px;
    width: 30px;
    height: 30px;

    font-size: 24px;
    font-weight: bold;
    text-align: center;

    background-color: #000;
    color: #FFF;

    border-radius: 100%;
}

.nuc_messagecard_title{
    position: absolute;

    margin-top: 16px;
    margin-left: 55px;

    line-height: 30px;
    width: calc(100% - 55px - 10px);
    height: 30px;

    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;

    font-size: 24px;
    font-weight: bold;
    color: #000;
}

.nuc_messagecard_content{
    position: absolute;

    margin-top: 50px;
    margin-left: 5px;

    width: calc(100% - 40px);
    height: 86px;

    color: #333;

    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;

    p{font-size: calc(13px + max(0px , (100vw - 1280px) * 0.01));}

    .material-symbols-outlined{font-size: calc(15px + max(0px , (100vw - 1280px) * 0.01));vertical-align: text-top;}
}

/* 🔷== 内容容器 ==🔷 */
.content_container_container{
    position: absolute;
    display: flex;

    top: 100vh;
    left: 3vw;
    width: calc(94vw - var(--scrollbar));

    margin-top: 40px;
}

.content_container_container_article{
    position: absolute;
    display: flex;

    top: calc(40px + max(0px , (100vw - 1280px) * 0.02));
    left: 3vw;
    width: calc(94vw - var(--scrollbar));

    margin-top: 40px;
}

.content_container_left{
    position: sticky;

    top: 0;
    left: 0;
    width: calc(25%);

    order: -1;

    padding-bottom: 100px;
}

.content_container_right{
    position: relative;
    top: 0;
    left: 30px;
    width: calc(75% - 30px);

    padding-bottom: 100px;

    h2::before{
        content: "▶ ";
    }
    h3::before{
        content: "▷ ";
    }
    p::before{
        content: "　　";
    }
}

/* 🔷== 分栏 ==🔷 */
.cardgrid_3_loop{
    display: grid;
    grid-template-columns: repeat(3 , 1fr);
    gap: 1rem;

    margin-bottom: 60px;
}


/* 🔷== 聚焦 ==🔷 */
.hero_main{
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100vw - var(--scrollbar));
    height: 100vh;

    color: #F0C190;
    background-color: #D84E33;
}

/* 🔷== 阵营图片 ==🔷 */
.nuc_menuimg{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;

    img{width: 50%;}
}

/* 🔷== 聚焦 ==🔷 */
.hero_main{
  position: absolute;
  top: 0;
  left: 0;
  width: calc(100vw - var(--scrollbar));
  height: 100vh;

  background-image: url(https://test.fukit.cn/autoupload/en/zFnd-P6WrfHm2DCISNkSGES8Na_KX9J0gc4PcNiFRw6yl5f0KlZfm6UsKj-HyTuv/20260503/S5ra/1920X1080/hero.png);
  background-position: center center;
  background-clip: cover;
  background-size: 100vw auto;
  background-repeat: no-repeat;

  color: #6D6386;
  background-color: #FFC7D0;
}

.hero_title{
  position: absolute;
  top: calc(50vh - 28px - max(0px , (100vw - 1280px) * 0.15));
  width: calc(100vw - var(--scrollbar));
  
  text-align: center;
  font-weight: bold;
  font-size: calc(36px + max(0px , (100vw - 1280px) * 0.15));
}

.hero_subtitle{
  position: absolute;
  top: calc(50vh - 28px - max(0px , (100vw - 1280px) * 0.15) - 10px - 28px - max(0px , (100vw - 1280px) * 0.05));
  width: calc(100vw - var(--scrollbar));

  text-align: center;
  font-weight: bold;
  font-size: calc(28px + max(0px , (100vw - 1280px) * 0.05));
}

.hero_content{
  position: absolute;
  top: calc(50vh + 28px + max(0px , (100vw - 1280px) * 0.05));
  width: calc(100vw - var(--scrollbar));

  text-align: center;
  font-size: calc(16px + max(0px , (100vw - 1280px) * 0.05));

  a{text-decoration:underline solid 2px white;color: white;}
}

.hero_video_main{
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100vw - var(--scrollbar));
    height: 100vh;
}

.hero_video_iframe{
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.hero_video_black{
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100vw - var(--scrollbar));
    height: 100vh;

    color: #FFF;
    background-color: #00000040;
    z-index: 10;
}

/* 🔷== iframe ==🔷 */
.iframe_video{
    width: 100%;
}

/* 🔷== 警告  ==🔷 */
.nuc_alert_admin{ /* 提示 */
    position: relative;

    margin: 20px 0px 20px 0px;
    overflow: hidden;

    padding: 0px 5px 0px 10px;
    
    background-color: #0088ff16;
    color: #037ce7;

    h3::before{content: 'shield';font-size: calc(18px + max(0px , (100vw - 1280px) * 0.02));font-family: 'Material Symbols Outlined';font-weight: normal;font-style: normal;display: inline-block;line-height: 1;text-transform: none;letter-spacing: normal;word-wrap: normal;white-space: nowrap;direction: ltr;}
}
.nuc_alert_admin::after{
    position: absolute;
    content: '';

    top: 0;
    left: 0;
    width: 5px;
    height: 100%;

    background-color: #005eb1;
}

.nuc_alert_info{ /* 提示 */
    position: relative;

    margin: 20px 0px 20px 0px;
    overflow: hidden;

    padding: 0px 5px 0px 10px;
    
    background-color: #dedede;
    color: #454545;
}
.nuc_alert_info::after{
    position: absolute;
    content: '';

    top: 0;
    left: 0;
    width: 5px;
    height: 100%;

    background-color: #4b4b4b;
}

.nuc_alert_warn{ /* 警告 */
    position: relative;

    margin: 20px 0px 20px 0px;
    overflow: hidden;

    padding: 0px 5px 0px 10px;
    
    background-color: #fcfcc0;
    color: rgb(153, 113, 11);
}
.nuc_alert_warn::after{
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    width: 5px;
    height: 100%;

    background-color: #ffb700;
}

.nuc_alert_err{ /* 错误 */
    position: relative;

    margin:20px 0px 20px 0px;
    overflow: hidden;

    padding: 0px 5px 0px 10px;
    
    background-color: #ffc9c9;
    color: #F00;
}
.nuc_alert_err::after{
    position: absolute;
    content: '';

    top: 0;
    left: 0;
    width: 5px;
    height: 100%;

    background-color: #dc0000;
}

/* 🔷== 图片 ==🔷 */
.picture_banner{
    width: 100%;
}
.picture_center{
    display: flex;
    justify-content: center;

    img{width: calc(200px * max(1 , 100vw / 1280px * 2));}
}
.picture_center_small{
    display: flex;
    justify-content: center;

    img{width: calc(150px * max(1 , 100vw / 1280px * 1.2));}
}

/* 🔷== 侧栏 ==🔷 */
.sidemenu_main{
    position: fixed;

    top: calc(40px + max(0px , (100vw - 1280px) * 0.02));
    left: calc(-210px - max(0px , (100vw - 1280px)));

    width: calc(200px + max(0px , (100vw - 1280px)) * 0.5);
    height: calc(100vh - 40px - max(0px , (100vw - 1280px) * 0.02));

    box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.547);
    background-color: white;

    scrollbar-width: thin;

    overflow-y: scroll;

    transition:left 0.3s ease-in-out;
    z-index: 41;
    h2{margin-left: 5px;}
}

.sidemenu_black{
    position: fixed;
    display: none;

    top: 0;
    left: 0;

    width: calc(100vw - var(--scrollbar));
    height: 100vh;

    background-color: #00000054;

    transition:display 0.3s ease-in-out;
    z-index: 40;
}

.sidemenu_item-level-1 { margin-left: 0px;  font-weight: bold; font-size: 16px; margin-top: 10px;}
.sidemenu_item-level-2 { margin-left: 20px; font-weight: 500;}
.sidemenu_item-level-3 { margin-left: 40px; color: #666; }

.sidemenu_item{
    display: block;
    height: 45px;
    line-height: 45px;

    padding-left: 5px;

    color: #000;

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    
    user-select: none;
    transition: background-color 0.15s ease-in-out;
    cursor: pointer;
}

.sidemenu_item:hover{
    background-color: #00000021;
}

.sidemenu_item:active{
    background-color: #00000051;
}

/* 🔷== 顶栏 ==🔷 */
.topbar_main{ /* 主体部分 */
    position: fixed;
    display: flex;

    top: 0;
    left: 0;

    width: calc(100vw - var(--scrollbar));
    height: calc(40px + max(0px , (100vw - 1280px) * 0.02));

    justify-content: space-between;

    box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.1);

    background: rgba(255, 255, 255, 0.607);
    backdrop-filter: blur(10px) saturate(180%);
    -webkit-backdrop-filter: blur(10px) saturate(180%);
    border: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1),inset 0 1px 0 rgba(255, 255, 255, 0.2);

    overflow-y: hidden;

    scrollbar-width: thin;

    z-index: 50;

    a{
        text-decoration: none;
    }

}

.topbar_left{
    display: flex;

    margin-left:20px;
}

.topbar_right{
    display: flex;
    justify-content: end;

    margin-right:20px;
}

.topbar_item{
    height: 100%;
    padding: 10px 10px 0px 10px;

    color: #000;
    font-size: calc(16px + max(0px , (100vw - 1280px) * 0.02));
    text-align: center;

    transition: background-color 0.2s , color 0.2s;
    user-select: none;
    cursor: pointer;
}

.topbar_item:hover{
    color: #FFF;
    background-color: rgba(0, 0, 0, 0.862);
}

.topbar_logo{
    width: calc(200px + max(0px , (100vw - 1280px) * 0.02));
    height: calc(40px + max(0px , (100vw - 1280px) * 0.02));

    background-image: url(https://img.remit.ee/api/file/BQACAgUAAyEGAASHRsPbAAEQ86tpkfO7Aoz0NVSzQzqpUlRcj2hf7gACux4AAnUlkVS7DXlRstYJFToE.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    transition: background-color 0.2s , background-image 0.2s;
    user-select: none;

    img{height: 100%; width: auto;}
}

.topbar_logo:hover{
    background-image: url(https://img.remit.ee/api/file/BQACAgUAAyEGAASHRsPbAAEQ86VpkfLPFaPBKDY6LQeCsy_G0vzGxAACtB4AAnUlkVS5iKoevj8W1zoE.png);
    background-color: rgba(0, 0, 0, 0.862);
}

/* 🔷 自适应 =============================================================================================================== */
@media screen and (max-width: 1024px) {
    .cardgrid_3_loop{grid-template-columns: 1fr;}
    .topbar_left{margin-left:0;}
    .topbar_right{margin-right:0;}
    .content_container_container{display: block;}
    .content_container_container_article{display: block;}
    .content_container_left{width: 100%;}
    .content_container_right{width: 100%;left: 0px;}
    .nuc_menuimg{img{width: 100%;}}
}